Sound: Get energy in air

A query to the selected Sound object.

## Return value

The energy in air, expressed in Joule/m2.

## Algorithm

The energy of a sound in air is defined as

1 / (ρ c) ∫ x2(t) dt

where x(t) is the sound pressure in units of Pa (Pascal), ρ is the air density (apx. 1.14 kg/m3), and c is the velocity of sound in air (apx. 353 m/s). For how stereo sounds are handled, see Sound: Get energy....

## See also

For an air-independent interpretation of the energy, see Sound: Get energy.... For the power, see Sound: Get power in air.